com.amazon.redshift.core

## Enum SqlCommandType

- java.lang.Object
- - java.lang.Enum<SqlCommandType>
  - - com.amazon.redshift.core.SqlCommandType

All Implemented Interfaces:
  Serializable, Comparable<SqlCommandType>

    public enum SqlCommandType
    extends Enum<SqlCommandType>

Type information inspection support.

Author:
  Jeremy Whiting jwhiting@redhat.com

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLANK` Use BLANK for empty sql queries or when parsing the sql string is not necessary.
`DELETE`
`INSERT`
`MOVE`
`PREPARE`
`SELECT`
`UPDATE`
`WITH`

### Method Summary

All Methods Static Methods Concrete Methods
`static SqlCommandType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlCommandType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BLANK

    public static final SqlCommandType BLANK

Use BLANK for empty sql queries or when parsing the sql string is not necessary.

#### INSERT

    public static final SqlCommandType INSERT

#### UPDATE

    public static final SqlCommandType UPDATE

#### DELETE

    public static final SqlCommandType DELETE

#### MOVE

    public static final SqlCommandType MOVE

#### SELECT

    public static final SqlCommandType SELECT

#### WITH

    public static final SqlCommandType WITH

#### PREPARE

    public static final SqlCommandType PREPARE

### Method Detail

#### values

    public static SqlCommandType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlCommandType c : SqlCommandType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlCommandType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null